> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete compliance alert



## OpenAPI

````yaml /openapi.json delete /compliance/alerts/{alertId}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /compliance/alerts/{alertId}:
    delete:
      tags:
        - compliance
      summary: Delete compliance alert
      operationId: ComplianceController_deleteAlert
      parameters:
        - name: alertId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteAlertOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/AlertNotFoundErrorDto'
                  - $ref: '#/components/schemas/CheckNotFoundErrorDto'
              examples:
                ALERT_NOT_FOUND:
                  $ref: '#/components/schemas/AlertNotFoundErrorDto'
                CHECK_NOT_FOUND:
                  $ref: '#/components/schemas/CheckNotFoundErrorDto'
          description: ''
components:
  schemas:
    DeleteAlertOutput:
      type: object
      properties: {}
    AlertNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - ALERT_NOT_FOUND
        message:
          type: string
          example: Alert {alertId} not found
        details:
          $ref: '#/components/schemas/AlertNotFoundDto'
      required:
        - code
        - message
        - details
    CheckNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CHECK_NOT_FOUND
        message:
          type: string
          example: Check not found {checkId} for tenant {tenantId}
        details:
          $ref: '#/components/schemas/CheckNotFoundDto'
      required:
        - code
        - message
        - details
    AlertNotFoundDto:
      type: object
      properties:
        alertId:
          type: string
      required:
        - alertId
    CheckNotFoundDto:
      type: object
      properties:
        checkId:
          type: string
        tenantId:
          type: string
        alertId:
          type: string
      required:
        - checkId
        - tenantId

````